package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArFileBanner;
import com.ruoyi.biz.domain.vo.ArFileBannerVo;
import com.ruoyi.biz.domain.bo.ArFileBannerBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 轮播图Service接口
 *
 * @author gwd
 * @date 2023-11-10
 */
public interface IArFileBannerService {

    /**
     * 查询轮播图
     */
    ArFileBannerVo queryById(Long id);

    /**
     * 查询轮播图列表
     */
    TableDataInfo<ArFileBannerVo> queryPageList(ArFileBannerBo bo, PageQuery pageQuery);

    /**
     * 查询轮播图列表
     */
    List<ArFileBannerVo> queryList(ArFileBannerBo bo);

    /**
     * 新增轮播图
     */
    Boolean insertByBo(ArFileBannerBo bo);

    /**
     * 修改轮播图
     */
    Boolean updateByBo(ArFileBannerBo bo);

    /**
     * 校验并批量删除轮播图信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
